# spring-boot-demo 项目待办列表

## 模块计划(已完成：54 / 66)

- [x] ~~demo-helloworld（Helloworld 示例）~~
- [x] ~~demo-properties（读取配置文件信息）~~
- [x] ~~demo-actuator（对 Spring boot 的端点监控）~~
- [x] ~~demo-admin-client（对 Spring boot 可视化管控 客户端）~~
- [x] ~~demo-admin-server（对 Spring boot 可视化管控 服务端）~~
- [x] ~~demo-logback（集成 logback 日志）~~
- [x] ~~demo-log-aop（使用 AOP 拦截请求日志信息）~~
- [x] ~~demo-exception-handler（统一异常处理）~~
- [x] ~~demo-template-freemarker（使用模板引擎 - Freemarker）~~
- [x] ~~demo-template-thymeleaf（使用模板引擎 - thymeleaf）~~
- [x] ~~demo-template-beetl（使用模板引擎 - beetl）~~
- [x] ~~demo-template-enjoy（使用模板引擎 - JFinal-Enjoy）~~
- [x] ~~demo-upload（上传 - 集成本地上传和七牛云上传）~~
- [x] ~~demo-orm-jdbctemplate（操作 SQL 关系型数据库 - JdbcTemplate）~~
- [x] ~~demo-orm-jpa（操作 SQL 关系型数据库 - JPA）~~
- [x] ~~demo-orm-mybatis（操作 SQL 关系型数据库 - mybatis）~~
- [x] ~~demo-orm-mybatis-mapper-page（操作 SQL 关系型数据库 - 集成mybatis通用Mapper,PageHelper）~~
- [x] ~~demo-orm-mybatis-plus（操作 SQL 关系型数据库 - 集成mybatis-plus，Mapper操作、ActiveRecord操作）~~
- [x] ~~demo-orm-beetlsql（操作 SQL 关系型数据库 - beetlSQL）~~
- [x] ~~demo-cache-redis（使用 redis 进行缓存）~~
- [x] ~~demo-cache-ehcache（使用 Ehcache 进行缓存）~~
- [x] ~~demo-email（集成邮件服务）~~
- [x] ~~demo-task（定时任务 - Task 实现）~~
- [x] ~~demo-task-quartz（定时任务 - Quartz 实现）~~
- [x] ~~demo-task-xxl-job（定时任务 - XXL-JOB 实现分布式调度）~~
- [x] ~~demo-swagger（集成 Swagger 对 API 接口进行测试管理）~~
- [x] ~~demo-swagger-beauty（集成自定义且更加美观的 Swagger 对 API 接口进行测试管理）~~
- [x] ~~demo-rbac-security（实现基于 RBAC 的权限模型 - Spring Security）~~
- [ ] demo-rbac-shiro（实现基于 RBAC 的权限模型 - shiro）
- [x] ~~demo-session（统一 Session 管理）~~
- [ ] demo-oauth（OAuth2 认证）
- [x] ~~demo-social（集成 JustAuth 实现第三方授权验证，实现 QQ、微信、GitHub、谷歌、小米等第三方登录）~~
- [x] ~~demo-zookeeper（使用 zookeeper 结合AOP实现分布式锁）~~
- [x] ~~demo-mq-rabbitmq（集成消息中间件 - RabbitMQ）~~
- [ ] demo-mq-rocketmq（集成消息中间件 - RocketMQ）
- [x] ~~demo-mq-kafka（集成消息中间件 - Kafka）~~
- [x] ~~demo-websocket（集成 websocket 服务）~~
- [x] ~~demo-websocket-socketio（集成 socketio 实现 websocket 服务）~~
- [ ] demo-ureport2 （集成 ureport2 实现自定义的复杂中国式报表引擎）
- [ ] demo-uflo（集成  uflo 实现流程控制引擎）
- [ ] demo-urule（集成  urule 实现规则引擎）
- [ ] demo-activiti（集成 Activiti 实现流程控制引擎）
- [x] ~~demo-async（Spring boot 实现异步调用）~~
- [x] ~~demo-dubbo（集成 dubbo）~~
- [x] ~~demo-war（打包成war包）~~
- [x] ~~demo-elasticsearch（集成 ElasticSearch）~~
- [x] ~~demo-mongodb（集成 MongoDb）~~
- [x] ~~demo-neo4j（集成 neo4j 图数据库）~~
- [x] ~~demo-docker（打包成 docker 镜像）~~
- [x] ~~demo-multi-datasource-jpa（集成JPA多数据源）~~
- [x] ~~demo-multi-datasource-mybatis（集成mybatis多数据源）~~
- [x] ~~demo-sharding-jdbc（集成 sharding-jdbc 实现分库分表）~~
- [ ] demo-tio（集成 tio）
- [ ] demo-grpc（集成grpc，配置tls/ssl）参见[ISSUE#5](https://github.com/xkcoding/spring-boot-demo/issues/5)
- [x] ~~demo-codegen（集成 velocity 自动生成代码）~~
- [x] ~~demo-graylog（集成 gralog 日志管理）~~
- [ ] demo-sso（集成单点登录）参见 [ISSUE#12](https://github.com/xkcoding/spring-boot-demo/issues/12)
- [x] ~~demo-ldap （集成 ldap）参见 [ISSUE#23](https://github.com/xkcoding/spring-boot-demo/issues/23)~~
- [x] ~~demo-dynamic-datasource（动态添加数据源，切换数据源）~~
- [x] ~~demo-ratelimit-guava（单机限流保护API，集成 Guava 的 RateLimiter）~~
- [x] ~~demo-ratelimit-redis（分布式限流保护API，使用 Redis + lua 脚本实现）~~
- [x] ~~demo-https（集成 HTTPS）~~
- [x] ~~demo-elasticsearch-rest-high-level-client（集成 Elasticsearch 7.x 版本，使用官方 rest high level client操作 ES 数据）~~
- [ ] demo-springbatch（数据处理）
- [ ] demo-security-justauth（使用 JustAuth 登录 GitHub，使用 Security 管理登录状态）
- [x] ~~demo-flyway（集成 Flyway，项目启动时初始化数据库表结构，同时支持数据库脚本版本控制）~~

## 备注

尽量保证按照上面的顺序集成相应的 demo。
